*Syntax bij oefening 5_3.

*Opdracht a.
*Beschrijven en indien nodig bewerken van de variabelen.
FREQUENCIES
  VARIABLES=v27 v28 v29 v30 v31
  /ORDER=  ANALYSIS .
*Schaalconstructie: PCA.
FACTOR
  /VARIABLES v27 v28 v29 v30 v31  /MISSING LISTWISE /ANALYSIS v27 v28 v29 v30 v31
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .
*Betrouwbaarheid.
RELIABILITY
  /VARIABLES=v27 v28 v29 v30 v31
  /SCALE('Vertrouwen in de nieuwsmedia')  ALL/MODEL=ALPHA
  /SUMMARY=TOTAL .
*Berekening schaalscore.
COMPUTE Schaal = MEAN(v27, v28, v29, v30, v31) .
VARIABLE LABELS Schaal 'Vertrouwen in de nieuwsmedia' .
EXECUTE .

*Opdracht b.
*Beschrijven en indien nodig bewerken van de variabelen.
FREQUENCIES
  VARIABLES=v61 v62
  /ORDER=  ANALYSIS .
*Twee-factoren variantieanalyse.
UNIANOVA
  Schaal  BY v61 v62
  /METHOD = SSTYPE(3)
  /POSTHOC = v61 v62 ( BONFERRONI )
  /EMMEANS = TABLES(v61 BY v62) COMPARE(v62) ADJ(BONFERRONI)
  /PLOT = PROFILE( v61*v62 )
  /PRINT = DESCRIPTIVE HOMOGENEITY
  /CRITERIA = ALPHA(.05)
  /DESIGN = v61 v62 v61*v62 .

*Opdracht c.
*Beschrijven van variabelen.
FREQUENCIES
  VARIABLES=v1 v2 v3
  /ORDER=  ANALYSIS .
*Bewerken variabelen.
*Label toevoegen aan mannen.
*Define Variable Properties.
*v1.
VALUE LABELS  v1
     0  'vrouw'
     1  'man'  .
EXECUTE.
*Leeftijd in 3 groepen indelen.
RECODE
  v3
  (18 thru 26=1)  (27 thru 47=2)  (48 thru Highest=3)  INTO  v3groep .
VARIABLE LABELS v3groep 'Leeftijdsklassen'.
EXECUTE .
*Define Variable Properties.
*v3groep.
VALUE LABELS  v3groep
     1  '18 - 26 jaar'
     2  '26 - 47 jaar'
     3  '48 jaar en ouder'  .
EXECUTE.
*Hercoderen opleidingsniveau.
RECODE
  v2
  (1 thru 3=1)  (4 thru 5=2)  (6 thru 7=3)  INTO  v2HER .
VARIABLE LABELS v2HER 'Opleidingsniveau in 3 klassen.'.
EXECUTE .
*Define Variable Properties.
*v2HER.
VALUE LABELS  v2HER
     1  'laag'
     2  'middelbaar'
     3  'hoog'  .
EXECUTE.
UNIANOVA
  Schaal  BY v1 v2HER v3groep
  /METHOD = SSTYPE(3)
  /POSTHOC = v2HER v3groep ( BONFERRONI )
  /EMMEANS = TABLES(v1 BY v3groep) COMPARE(v1) ADJ(BONFERRONI)
  /PLOT = PROFILE( v3groep*v1 v2HER*v1 v3groep*v2HER )
  /PRINT = DESCRIPTIVE HOMOGENEITY
  /CRITERIA = ALPHA(.05)
  /DESIGN = v1 v2HER v3groep v1*v2HER v1*v3groep v2HER*v3groep v1*v2HER
 *v3groep .
MEANS
  TABLES=Schaal  BY v2HER
  /CELLS MEAN COUNT STDDEV  .

*Opdracht d.
*Volledige variantieanalyse.
UNIANOVA
  Schaal  BY v1 v2HER v3groep v61 v62
  /METHOD = SSTYPE(3)
  /POSTHOC = v2HER v3groep v61 v62 ( BONFERRONI )
  /PLOT = PROFILE( v62*v2HER )
  /PRINT = DESCRIPTIVE HOMOGENEITY
  /CRITERIA = ALPHA(.05)
  /DESIGN = v1 v2HER v3groep v61 v62 v1*v2HER v1*v3groep v1*v61 v1*v62 v2HER
 *v3groep v2HER*v61 v2HER*v62 v3groep*v61 v3groep*v62 v61*v62 .
