*Oefening 6_6.

*Controleren van de variabelen.
FREQUENCIES VARIABLES=waardering exposure fan
  /STATISTICS=SKEWNESS SESKEW
  /ORDER=ANALYSIS.
*Missing value voor waardering = 16.
* Define Variable Properties.
*waardering.
MISSING VALUES waardering(16.00).
EXECUTE.
*Controle van het spreidingsdiagram.
GRAPH
  /SCATTERPLOT(BIVAR)=exposure WITH waardering
  /MISSING=LISTWISE.

*Variantieanalyse met 2 exposure groepen.
RECODE exposure (Lowest thru 12=0) (13 thru Highest=1) INTO expo2.
VARIABLE LABELS  expo2 'Exposure in 2 groepen'.
EXECUTE.
UNIANOVA waardering BY fan expo2
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PLOT=PROFILE(expo2*fan)
  /PRINT=HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=fan expo2 fan*expo2.

*Variantieanalyse met 3 exposure groepen.
RECODE exposure (Lowest thru 7=1) (8 thru 15=2) (16 thru Highest=3) INTO expo3.
VARIABLE LABELS  expo3 'Exposure in 3 groepen'.
EXECUTE.
UNIANOVA waardering BY fan expo3
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=expo3(BONFERRONI) 
  /EMMEANS=TABLES(fan BY expo3) COMPARE(expo3) ADJ(BONFERRONI)
  /PLOT=PROFILE(expo3*fan)
  /PRINT=HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=fan expo3 fan*expo3.

*Voor de liefhebbers: een kwadratisch verband in een regressieanalyse.
*Centreren: bepaal het gemiddelde van exposure en trek dit van de variabele af.
FREQUENCIES VARIABLES=exposure
  /FORMAT=NOTABLE
  /STATISTICS=MEAN
  /ORDER=ANALYSIS.
COMPUTE exposure1=exposure - 11.272.
VARIABLE LABELS  exposure 'Exposure gecentreerd'.
EXECUTE.
*Maak een nieuwe variabele met het kwadraat van exposure.
COMPUTE exposure2=exposure1 ** 2.
VARIABLE LABELS  exposure2 'Exposure in het kwadraat'.
EXECUTE.
*Regressieanalyse met lineaire en kwadratische component.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT waardering
  /METHOD=ENTER fan exposure1 exposure2
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

