*Syntax oefening 7_1.

*Opgave a.
*Selecteren van volwassenen (18 jaar en ouder).
USE ALL.
COMPUTE filter_$=(dem50 > 17).
VARIABLE LABEL filter_$ 'dem50 > 17 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

*Schaalconstructie. 
*Univariate beschrijving en bewerking. 
FREQUENCIES 
  VARIABLES=dem56 dem59 dem60 dem65 dem66 dem67 dem83 
  /ORDER= ANALYSIS . 
*Univariaat bewerken: scores 8 (geen opgave) en 9 (niet van toepassing) moeten als missing values worden aangemerkt. 
*Define Variable Properties. 
*dem56. 
MISSING VALUES dem56 ( 8, 9 ). 
*dem59. 
MISSING VALUES dem59 ( 8, 9 ). 
*dem60. 
MISSING VALUES dem60 ( 8, 9 ). 
*dem65. 
MISSING VALUES dem65 ( 8, 9 ). 
*dem66. 
MISSING VALUES dem66 ( 8, 9 ). 
*dem67. 
MISSING VALUES dem67 ( 8, 9 ). 
*dem83. 
MISSING VALUES dem83 ( 8, 9 ). 
EXECUTE. 
*Controle. 
FREQUENCIES 
  VARIABLES=dem56 dem59 dem60 dem65 dem66 dem67 dem83 
  /ORDER= ANALYSIS . 
*PCA. 
FACTOR 
  /VARIABLES dem56 dem59 dem60 dem65 dem66 dem67 dem83 /MISSING 
  LISTWISE /ANALYSIS dem56 dem59 dem60 dem65 dem66 dem67 dem83 
  /PRINT INITIAL EXTRACTION ROTATION 
  /PLOT EIGEN 
  /CRITERIA MINEIGEN(1) ITERATE(25) 
  /EXTRACTION PC 
  /CRITERIA ITERATE(25) 
  /ROTATION VARIMAX 
  /METHOD=CORRELATION . 
*Betrouwbaarheid van schaal bepalen.
RELIABILITY
  /VARIABLES=dem56 dem59 dem60 dem65 dem66 dem67 dem83
  /SCALE('Politieke desinteresse')  ALL/MODEL=ALPHA
  /SUMMARY=TOTAL .
*Betrouwbaarheid zonder dem67.
RELIABILITY
  /VARIABLES=dem56 dem59 dem60 dem65 dem66 dem83
  /SCALE('Politieke desinteresse')  ALL/MODEL=ALPHA
  /SUMMARY=TOTAL .
*(Items hercoderen (omkeren).
RECODE
  dem56 dem59 dem60 dem65 dem66 dem67 dem83  (1=3)  (2=2)  (3=1)  .
EXECUTE .
*Schaalscore berekenen.
COMPUTE PolInt = MEAN(dem56, dem59, dem60, dem65, dem66, dem67, dem83) .
EXECUTE .
*Schaalvariabele een naam geven. 
*Define Variable Properties. 
*PolInt. 
VARIABLE LABELS PolInt 'Politieke interesse'. 
EXECUTE. 

*Vraag b.
*Controleren schaal politieke interesse.
FREQUENCIES
  VARIABLES=PolInt
  /ORDER=  ANALYSIS .
*Hercoderen leeskans opiniebladen in wel/niet lezen.
* Define Variable Properties.
*dem111.
MISSING VALUES dem122(8, 9).
EXECUTE.
RECODE dem122 (0=0) (1 thru 3=1) INTO Opinie.
VARIABLE LABELS  Opinie 'Opiniebladen lezen'.
EXECUTE.
* Define Variable Properties.
*Opinie.
VALUE LABELS Opinie
  .00 'niet lezen'
  1.00 'wel lezen'.
EXECUTE.
*Beschrijving leeftijd.
FREQUENCIES  VARIABLES=dem50
  /ORDER=  ANALYSIS .
*Spreidingsdiagram leeftijd met politieke interesse.
GRAPH
  /SCATTERPLOT(BIVAR)=dem50 WITH PolInt
  /MISSING=LISTWISE .
*Dummyvariabelen maken voor sociale klasse (dem29).
*Neem de middelste klassen (B-bovenlaag en B-onderlaag) als referentiecategorie.
*Hoogste sociale klasse (A).
RECODE
  dem29
  (1=1)  (2 thru Highest=0)  INTO  KlasseA .
VARIABLE LABELS KlasseA 'Sociale klasse A'.
EXECUTE .
*Laagste sociale klasse (C en D).
RECODE
  dem29
  (4=1)  (5 = 1) (1 thru 3=0)  INTO  KlasseCD .
VARIABLE LABELS KlasseCD 'Sociale klassen C en D'.
EXECUTE .
*Regressieanalyse met politieke interesse als afhankelijke variabele.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF CI(95) OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT PolInt
  /METHOD=ENTER KlasseA KlasseCD dem50 Opinie 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID) .

*Opgave c.
*Hercoderen sociale klasse.
RECODE dem29 (1=1) (2 thru 3=2) (4 thru 5=3) INTO socklas3.
VARIABLE LABELS  socklas3 'Sociale klasse in 3 lagen'.
EXECUTE.
* Define Variable Properties.
*socklas3.
VALUE LABELS socklas3
  1.00 'A'
  2.00 'B'
  3.00 'C-D'.
EXECUTE.
*Toets op een kruistabel.
CROSSTABS
  /TABLES=Opinie BY socklas3
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ LAMBDA 
  /CELLS=COUNT SRESID 
  /COUNT ROUND CELL.
